# GCU installer package `gcu-installer`

## Directory content

| directory      | description                                                                            |
|----------------|----------------------------------------------------------------------------------------|
| debian         | sources for debian package `gcu-installer`                                             |
| docker-compose | docker-compose file for GCU, packaged into `gcu-installer`                             |
| icdu_nginx     | sources for building GCU `nginx` docker container                                      |
| routing-server | configuration for GCU docker container `routing_server`, packaged into `gcu-installer` |

## Manual Building

Before building, you must check you have the necessaries built tools: 
```
sudo apt-get install devscripts debhelper
```

Then to manually build the package, you need to issue the following command:

```
cd ./debian
debuild -us -uc
```

It will generate the deb file in the parent folder of the current working directory. 
On the test environment, you can then install the package manually:

```
dpkg -i gcu-installer_0.0.1_all.deb
```
